## cmake-extras 0.6+16.04.20160215

=== CMakeLists.txt ===
project(cmake-extras)
cmake_minimum_required(VERSION 2.8.9)

file(
  GLOB_RECURSE SRC_FILES
  "src/*.cmake"
  "src/*.in"
)

install(
  FILES ${SRC_FILES}
  DESTINATION "${CMAKE_ROOT}/Modules/"
)

## cmake-extras 0.7+16.04.20160513

=== CMakeLists.txt ===
project(cmake-extras)
cmake_minimum_required(VERSION 2.8.9)

install(
  DIRECTORY "src/"
  DESTINATION "${CMAKE_ROOT}/Modules/"
  USE_SOURCE_PERMISSIONS 
)

## cmake-extras 1.0+17.04.20170110.1

=== intltool-demo/po/CMakeLists.txt ===
find_package(Intltool REQUIRED)

intltool_update_potfile(
    ALL
    KEYWORDS "_" "_:1,2" "N_" "N_:1,2"
    POTFILES_TEMPLATE "POTFILES.in.in"
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
    COPYRIGHT_HOLDER "Foocorp Ltd."
)

intltool_install_translations(
    ALL
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
)

## cmake-extras 1.2+17.04.20170213

=== gsettings-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(intltool-demo)

include(GNUInstallDirs)
find_package(GSettings)

set (DEFAULT_UUID_VALUE "" CACHE STRING "Default UUID to use in schema.")
set (DEFAULT_UUID "'${DEFAULT_UUID_VALUE}'")

add_schema ("static.gschema.xml")

configure_file ("generated.gschema.xml.in" "generated.gschema.xml")
add_schema ("generated.gschema.xml")

=== intltool-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(intltool-demo LANGUAGES C CXX)

include(GNUInstallDirs)
find_package(PkgConfig REQUIRED)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0
)
include_directories(${GLIB_INCLUDE_DIRS})

set(GETTEXT_PACKAGE "intltool-demo")
set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set (CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

add_subdirectory(po)
add_subdirectory(src)

=== intltool-demo/po/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     POTFILES_TEMPLATE "POTFILES.in.in"
     GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
     COPYRIGHT_HOLDER "Foocorp Ltd."
+    FILTER ".*test.*"
 )
 
 intltool_install_translations(

=== intltool-demo/src/CMakeLists.txt ===

# INI file with translations embedded

intltool_merge_translations(
  "${CMAKE_CURRENT_SOURCE_DIR}/foo.ini.in"
  "${CMAKE_CURRENT_BINARY_DIR}/foo.ini"
  ALL
  UTF8
)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/foo.ini"
  DESTINATION ${CMAKE_INSTALL_DATADIR}/fooapp
)

# FooApp executable

add_definitions(
  -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
  -DLOCALE_DIR="${LOCALE_DIR}"
  -DCONFIG_FILE="${CMAKE_INSTALL_FULL_DATADIR}/fooapp/foo.ini"
  -DLANGUAGE="en_AU.UTF-8"
)

add_executable(
  fooapp
  main.cpp
)

target_link_libraries(
  fooapp
  ${GLIB_LDFLAGS}
)

install(
  TARGETS fooapp
  RUNTIME DESTINATION usr/bin
)

## cmake-extras 1.2+17.04.20170228

=== gdbus-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(gdbus-demo)

set (CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()
enable_testing()

include(GNUInstallDirs)
find_package(GDbus)
find_package(PkgConfig REQUIRED)

pkg_check_modules(
  GLIB REQUIRED
  gio-unix-2.0
  glib-2.0
)
include_directories(${GLIB_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_gdbus_codegen(
  DBUS_STANDARD
  dbus-standard
  org.freedesktop
  org.freedesktop.DBus.xml
  )

add_gdbus_codegen(
  DBUS_NAMESPACED
  dbus-namespaced
  org.freedesktop
  org.freedesktop.DBus.xml
  NAMESPACE "DBus"
  )

add_executable(
  test-gdbus

  main.cpp
  ${DBUS_STANDARD_SOURCES}
  ${DBUS_NAMESPACED_SOURCES}
  )
target_link_libraries(
  test-gdbus

  ${GLIB_LDFLAGS}
  )

add_test(test-gdbus test-gdbus)

## cmake-extras 1.3+17.04.20170310

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cmake-extras)

include(GNUInstallDirs)

# Modules using the newer find_package() "config" extension mechanism.
install(
  DIRECTORY "src/"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/"
  USE_SOURCE_PERMISSIONS
)

# Modules installed directly to CMAKE_ROOT
# TODO: migrate these to the above tree, since installing to
#       CMAKE_ROOT is frowned upon.
install(
  DIRECTORY "modules/"
  DESTINATION "${CMAKE_ROOT}/Modules/"
  USE_SOURCE_PERMISSIONS
)

=== findgmock-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(findgmock-demo LANGUAGES C CXX)

# find_package(GMock) will find the Google Mock source, and add it to
# this project's build.  It will create the targets gtest, gtest_main,
# gmock, and gmock_main.
find_package(GMock)

add_executable(test-suite test-suite.cpp)
target_link_libraries(test-suite gtest_main)

=== intltool-demo/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,12 @@
 
 include(GNUInstallDirs)
 find_package(PkgConfig REQUIRED)
+find_package(Intltool REQUIRED)
 
 pkg_check_modules(
   GLIB REQUIRED
   glib-2.0
+  gio-2.0
 )
 include_directories(${GLIB_INCLUDE_DIRS})

=== intltool-demo/po/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-find_package(Intltool REQUIRED)
-
 intltool_update_potfile(
     ALL
     KEYWORDS "_" "_:1,2" "N_" "N_:1,2"
     POTFILES_TEMPLATE "POTFILES.in.in"
     GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
     COPYRIGHT_HOLDER "Foocorp Ltd."
+    FILE_GLOBS "${CMAKE_SOURCE_DIR}/*.gschema.xml.in"
     FILTER ".*test.*"
 )

=== includechecker-demo/test/demolib/CMakeLists.txt ===

find_package(IncludeChecker REQUIRED)

include_directories("${CMAKE_SOURCE_DIR}/include")

function(add_demolib_test NAME PREFIX)
  add_executable(
    "${NAME}"
    "${PREFIX}${NAME}.cpp"
  )

  target_link_libraries(
    "${NAME}"
    ${GLIB_LDFLAGS}
  )

  add_test(
    "${NAME}"
    "${NAME}"
  )
endfunction()

add_demolib_test("good-header-test" "")
add_demolib_test("bad-header-test" "bad/")

set(INCLUDE_CHECK_FORBIDDEN "glib.h" CACHE STRING "")
set(INCLUDE_CHECK_ALLOWED "bad/bad-header.h:glib.h" CACHE STRING "")
set(INCLUDE_CHECK_IGNORE "internal" CACHE STRING "")

add_include_check(
    demolib-include-check
    DIRECTORIES
        "${CMAKE_SOURCE_DIR}/include"
    FORBIDDEN
        ${INCLUDE_CHECK_FORBIDDEN}
    ALLOWED
        ${INCLUDE_CHECK_ALLOWED}
    IGNORE
        ${INCLUDE_CHECK_IGNORE}
    FILE_EXTENSIONS
        ".h"
        ".hxx"
    COMPILER_OPTIONS
        "-std=gnu++14"
)

=== debian/changelog ===
cmake-extras (1.3+17.04.20170310-5) unstable; urgency=medium

  * debian/patches:
    + Update/fix 1002_fix-googletest-1_8_1-1.patch. Now this really resolves
      #910935.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Oct 2018 14:44:44 +0200

cmake-extras (1.3+17.04.20170310-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/control:
    + Use new python-clang metapackage to bring always the latest version
    + Fixup VCS URL.

  [ Mike Gabriel ]
  * debian/control:
    + Update Section: to devel.
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/patches:
    + Add 1002_fix-googletest-1_8_1-1.patch. Make GMockConfig.cmake work with
      googletest/1.8.1-1. (Closes: #910935).
  + debian/rules:
    + Drop unneeded DH argument --parallel.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Oct 2018 16:40:48 +0200

cmake-extras (1.3+17.04.20170310-3) unstable; urgency=medium

  * debian/tests/control:
    + Fix includechecker test. Use clang 6.0 for running the test. Thanks to
      Gianfranco Costamagna. (Closes: #906255).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Aug 2018 11:51:38 +0200

cmake-extras (1.3+17.04.20170310-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Switch back to Python2 implementation, the Python3 switch breaks
    testsuite. (Closes: #870039).
  * More verbosity in failing test.

  [ Mike Gabriel ]
  * debian/patches:
    + Enable 0003_75_74.patch. By accident not added to series file in previous
      upload.
  * debian/control:
    + Add Debian CMake Team to Uploaders: field.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Set Priority: to optional.
    + Package now complies with Standards-Version: 4.2.0.
  * debian/{control,compat}: Switch to DH compat level version 11.
  * debian/patches:
    + Enable 0003_75_74.patch. By accident not added to series file in previous
      upload.
  * debian/watch:
    + Use secure URL for upstream tarball download.
  * debian/examples:
    + Add file. Install doxygenbuilder-demo examples into doc/ folder of this
      package.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 18:34:51 +0200

cmake-extras (1.3+17.04.20170310-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #863191).
  * debian/control:
    + Debianize package (Maintainer: field, Uploaders: field, Vcs-*: fields)
    + Provide more package info in LONG_DESCRIPTION.
    + Add D (cmake-extras): python3.~
  * debian/source/format:
    + Use 3.0 (quilt) in Debian.
  * debian/patches:
    + Add empty folder with README about patch naming scheme.
    + Cherry-pick Bzr rev73. Including various changes on debian/*.
    + Cherry-pick Bzr rev74. Including various changes on debian/*.
    + Cherry-pick Bzr rev75.
    + Add 1001_ensure-python3-usage.patch. Convert include_checker.py to
      Python3.
  * debian/watch:
    + Add file, point to Ubuntu's orig.tar.gz as no official tarball releases
      are available.
  * debian/copyright:
    + This src:package is strictly licensed under LGPL-3, not LGPL-3+. Fix full
      text in license paragraph accordingly.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Jul 2017 11:43:00 +0200

cmake-extras (1.3+17.04.20170310-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Make GDBus source name generation work like more conventional macros.

 -- Pete Woods <pete.woods@canonical.com>  Fri, 10 Mar 2017 12:38:01 +0000

cmake-extras (1.2+17.04.20170228-0ubuntu1) zesty; urgency=medium

  * Add function to compile GSettings schemas. (LP: #1664714)
  * Handle merging translations into non-ini file types. (LP: #1664325)
  * Append file globs for translation template function. (LP: #1664345)
  * Use already unique translation template as target name.
  * Add a GDbus module for using gdbus-codegen in cmake projects.
  * Refactor GSettings module to provide a compile_schemas macro. (LP:
    #1664714)
  * Handle other style options for merging, and no translations for xml
    style. (LP: #1664325)
  * Append file globs rather than resetting the variable. (LP: #1664345)
  * Don't use the gettext unique target magic for pot files.
  * Add a module for using gdbus-codegen code with cmake.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Tue, 28 Feb 2017 17:48:00 +0000

cmake-extras (1.2+17.04.20170213-0ubuntu1) zesty; urgency=medium

  * Add autopkgtest for gsettings macro.
  * Handle generated gschema files. (LP: #1661686)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Mon, 13 Feb 2017 18:16:40 +0000

cmake-extras (1.1+17.04.20170209-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add IncludeChecker macro.
  * Add FILTER argument to intltool macros.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 09 Feb 2017 12:47:56 +0000

cmake-extras (1.0+17.04.20170110.1-0ubuntu1) zesty; urgency=medium

  * Add autopkgtest for intltool macros
  * Add autopkgtest for DoxygenBuilder macros

 -- Pete Woods <pete.woods@canonical.com>  Tue, 10 Jan 2017 12:06:28 +0000

cmake-extras (0.10+17.04.20161208.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Migrate all modules to unversioned cmake directory.

  [ James Henstridge ]
  * Move coverage report code to use find_package(CoverageReport) rather
    than include(EnableCoverageReport).

 -- Pete Woods <pete.woods@canonical.com>  Thu, 08 Dec 2016 13:54:16 +0000

cmake-extras (0.9+17.04.20161202.1-0ubuntu1) zesty; urgency=medium

  [ Michi Henning ]
  * Added CopyrightTest module.

  [ James Henstridge ]
  * Add an autopkgtest for the find_package(GMock) macro.
  * Move some of the modules out of ${CMAKE_ROOT} and in to the
    unversioned /usr/share/cmake/ directory.

  [ Rodney Dawes ]
  * Simplify the INSTALL_TRANSLATIONS command to avoid regenerating po
    files. (LP: #1645856)

 -- Michi Henning <michi@triodia.com>  Fri, 02 Dec 2016 05:59:21 +0000



=== debian/control ===
Source: cmake-extras
Section: devel
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders:
 Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
 Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
Build-Depends: cmake,
               debhelper (>= 11),
Standards-Version: 4.2.1
Homepage: https://launchpad.net/cmake-extras
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/cmake-extras

Package: cmake-extras
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cmake (>= 3.1),
         python,
Description: Extra CMake utility modules
 CMake modules which are used for Ubuntu development. In Debian, this package is
 helpful when porting Ubuntu originated software to Debian.
 .
 Included CMake modules:
 .
   - copyright testing
   - coverage testing
   - building gtest
   - doxygen documentation
   - code formatting
   - GDbus, GMock and GSettings modules
   - intltool helpers
   - QML plugin helper
   - and several more...

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Tests: findgmock
Restrictions: allow-stderr
Depends:
  build-essential,
  cmake,
  cmake-extras,
  googletest (>= 1.8.0) | google-mock,

Tests: copyrighttest
Restrictions: allow-stderr
Depends:
  build-essential,
  cmake,
  cmake-extras,
  licensecheck | devscripts (<< 2.16.6)

Tests: intltool
Restrictions: allow-stderr
Depends:
  build-essential,
  cmake,
  cmake-extras,
  language-pack-en,
  intltool,
  libglib2.0-dev,
  pkg-config,

Tests: doxygenbuilder
Restrictions: allow-stderr
Depends:
  build-essential,
  cmake,
  cmake-extras,
  doxygen,
  libxml2-utils,

Tests: includechecker
Restrictions: allow-stderr
Depends:
  build-essential,
  clang,
  cmake,
  cmake-extras,
  libclang-dev,
  libglib2.0-dev,
  pkg-config,
  python-clang,

Tests: gsettings
Restrictions: allow-stderr
Depends:
  build-essential,
  cmake,
  cmake-extras,
  gettext,
  libglib2.0-dev,
  pkg-config,
  uuid-runtime,

Tests: gdbus
Restrictions: allow-stderr
Depends:
  build-essential,
  cmake,
  cmake-extras,
  dbus,
  libglib2.0-dev,
  pkg-config,

=== debian/watch ===
version=3
https://archive.ubuntu.com/ubuntu/pool/universe/c/cmake-extras/cmake-extras_([0-9.\+]+).orig.tar.gz

## cmake-extras 1.5

=== examples/copyrighttest-demo/CMakeLists.txt ===
#
# Copyright (C) 2015 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

cmake_minimum_required(VERSION 3.0.2)
project(copyrighttest-demo LANGUAGES C CXX)

include(CTest)
enable_testing()

find_package(CopyrightTest REQUIRED)

add_copyright_test(
    SOURCE_DIR ${CMAKE_SOURCE_DIR}
    IGNORE_DIR ${CMAKE_BINARY_DIR}
    TEST_NAME must_fail_1
)

#
# HACK: The licensecheck -c option is broken in zesty:
#       https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=842368
#       once this is fixed, we need to re-enable the tests
#       that use INCLUDE_PATTERN.
#
#add_copyright_test(
#    SOURCE_DIR ${CMAKE_SOURCE_DIR}
#    IGNORE_DIR ${CMAKE_BINARY_DIR}
#    INCLUDE_PATTERN \\.cpp$
#    TEST_NAME must_fail_2
#)
#
#add_copyright_test(
#    SOURCE_DIR ${CMAKE_SOURCE_DIR}
#    IGNORE_DIR ${CMAKE_BINARY_DIR}
#    INCLUDE_PATTERN \\.cpp$|\\.h$
#    IGNORE_PATTERN no_copyright\\.h$
#    TEST_NAME must_fail_3
#)

add_copyright_test(
    SOURCE_DIR ${CMAKE_SOURCE_DIR}
    IGNORE_PATTERN \\.h$
    TEST_NAME must_fail_4
)

add_copyright_test(
    SOURCE_DIR ${CMAKE_SOURCE_DIR}
    IGNORE_DIR ${CMAKE_BINARY_DIR}
    IGNORE_PATTERN no_copyright
    TEST_NAME must_succeed_1
)

#add_copyright_test(
#    SOURCE_DIR ${CMAKE_SOURCE_DIR}
#    IGNORE_DIR ${CMAKE_BINARY_DIR}
#    INCLUDE_PATTERN \\.cpp$
#    IGNORE_PATTERN no_copyright\\.cpp$
#    TEST_NAME must_succeed_2
#)

add_copyright_test(
    SOURCE_DIR ${CMAKE_SOURCE_DIR}
    IGNORE_DIR ${CMAKE_BINARY_DIR}
    INCLUDE_PATTERN \\.cpp$|\\.h$
    IGNORE_PATTERN no_copyright\\.h$|no_copyright\\.cpp$
    TEST_NAME must_succeed_3
)

=== debian/changelog ===
cmake-extras (1.5-7) unstable; urgency=medium

  * debian/patches:
    + Add Forwarded: URL to 1007_fix-FTCBFS-of-googlemock-projects.patch.
  * debian/control:
    + Add D (cmake-extras): pkg-config. (Closes: #973095).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Nov 2020 16:22:28 +0100

cmake-extras (1.5-6) unstable; urgency=medium

  * debian/control:
    + Fix pkgname in Suggests: field.
  * debian/patches:
    + Add 1007_fix-FTCBFS-of-googlemock-projects.patch. Fix cross-building
      projects that leverage GMockConfig.cmake. (Closes: #973580).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Nov 2020 08:57:31 +0100

cmake-extras (1.5-5) unstable; urgency=medium

  * debian/patches:
    + Fix 1006_...patch. Roll-back changes introduce to work around problems in
      Debian's googletest, introduced with 1.10.0.20201018-1, but amended in
      1.10.0.20201025-1. (Closes: #973214, #973163, #973078).
  * debian/control:
    + Update Suggests: field, with versioned googletest and libgtest-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Oct 2020 17:04:18 +0100

cmake-extras (1.5-4) unstable; urgency=medium

  * debian/patches:
    + Update 1006_fix-googletests-1_10_0.patch. Fix googlemock include
      directory.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Oct 2020 18:13:55 +0200

cmake-extras (1.5-3) unstable; urgency=medium

  * debian/patches:
    + Add 1006_fix-googletests-1_10_0.patch. Update GMockConfig.cmake for
      googletest up to 1.10.0.20201018.
  * debian/tests/control:
    + Require libgtest-dev and pkg-config for gmock autopkgtest.
    + Trailing comma or all dependencies.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Oct 2020 01:43:05 +0200

cmake-extras (1.5-2) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * debian/patches:
    + Add 1005_fix_intltool-demo.patch. Add #include of <locale.h> to
      examples/intltool-demo/src/main.cpp, fixing autopkgtest. (Closes:
      #946066).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Oct 2020 20:30:14 +0200

cmake-extras (1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,copyright,watch}:
    + New upstream location (UBports' GitLab).
  * debian/patches:
    + Drop 0001_73_72.patch, 0002_74_73.patch and 0003_75_74.patch.
      Applied upstream.
    + Drop 1001_ensure-python3-usage.patch. Not used anymore.
  * debian/control:
    + Add Debian UBports Team to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Feb 2020 14:06:44 +0100

cmake-extras (1.3+17.04.20170310-7) unstable; urgency=medium

  * Fixup several autopkgtests. Details, see below. (Closes:
    #947609).

  * debian/patches:
    + Update 1004_switch-to-python3.patch, Fix bytes vs. string issue.
  * debian/control:
    + Fix typo in Suggests: field name.
  * debian/tests/control:
    + Fix intltool test failure on Debian, add alternative D 'locales-all' to D
      'language-pack-en' (which only exists in Ubuntu and derivatives).
    + Update Ds (includechecker test): python-clang -> python3-clang.
    + Versioned test dependency on python3-clang (>= 0.49~). Currently only
      available in experimental. So, we have to expect the autopkgtest on this
      package to fail, until python3-clang is available in Debian unstable.
  * debian/tests/:
    + Make all test scripts executable.
  * debian/tests/{control,gdbus}:
    + Run gdbus test as dbus-test-runner task. We normally don't have a system
      DBus available in build/test chroots.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 12:43:46 +0100

cmake-extras (1.3+17.04.20170310-6) unstable; urgency=medium

  * debian/patches:
    + Add 1003_fix-googletests_1_9.patch. The libgtest*.a and libgmock*.a get
      installed to gmock_bin_dir/lib/ now.
    + Add 1004_switch-to-python3.patch. Port helper and demo scripts from Py2
      to Py3.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Update D (cmake-extras): python -> python3. (Closes: #942969).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 Nov 2019 10:58:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders:
  Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               debhelper (>= 11),
-Standards-Version: 4.2.1
-Homepage: https://launchpad.net/cmake-extras
+               debhelper-compat (= 12),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/cmake-extras
 
@@ -17,7 +19,10 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          cmake (>= 3.1),
-         python,
+         pkg-config,
+         python3,
+Suggests: googletest (>= 1.10.0.20201025),
+          libgtest-dev,
 Description: Extra CMake utility modules
  CMake modules which are used for Ubuntu development. In Debian, this package is
  helpful when porting Ubuntu originated software to Debian.

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
   cmake,
   cmake-extras,
   googletest (>= 1.8.0) | google-mock,
+  libgtest-dev,
+  pkg-config,
 
 Tests: copyrighttest
 Restrictions: allow-stderr
@@ -12,7 +14,7 @@
   build-essential,
   cmake,
   cmake-extras,
-  licensecheck | devscripts (<< 2.16.6)
+  licensecheck | devscripts (<< 2.16.6),
 
 Tests: intltool
 Restrictions: allow-stderr
@@ -20,7 +22,7 @@
   build-essential,
   cmake,
   cmake-extras,
-  language-pack-en,
+  language-pack-en | locales-all,
   intltool,
   libglib2.0-dev,
   pkg-config,
@@ -44,7 +46,7 @@
   libclang-dev,
   libglib2.0-dev,
   pkg-config,
-  python-clang,
+  python3-clang (>= 0.49~),
 
 Tests: gsettings
 Restrictions: allow-stderr
@@ -63,6 +65,6 @@
   build-essential,
   cmake,
   cmake-extras,
-  dbus,
+  dbus-test-runner,
   libglib2.0-dev,
   pkg-config,

## cmake-extras 1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cmake-extras)

include(GNUInstallDirs)

# Modules using the newer find_package() "config" extension mechanism.
install(
  DIRECTORY "src/"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/"
  USE_SOURCE_PERMISSIONS
)

=== examples/includechecker-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(includechecker-demo LANGUAGES C CXX)

include(GNUInstallDirs)
find_package(PkgConfig REQUIRED)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0
  gobject-2.0
)
include_directories(${GLIB_INCLUDE_DIRS})

set (CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

enable_testing()
add_subdirectory(test)

=== examples/intltool-demo/po/CMakeLists.txt ===
intltool_update_potfile(
    ALL
    KEYWORDS "_" "_:1,2" "N_" "N_:1,2"
    POTFILES_TEMPLATE "POTFILES.in.in"
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
    COPYRIGHT_HOLDER "Foocorp Ltd."
    FILE_GLOBS "${CMAKE_SOURCE_DIR}/*.gschema.xml.in;${CMAKE_SOURCE_DIR}/python/*.py"
    FILTER ".*test.*;.*filtered"
    LANGUAGE "python"
)

intltool_install_translations(
    ALL
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
)

=== debian/changelog ===
cmake-extras (1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1002, 1003, 1005, 1006 and 1007. All integrated upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Feb 2022 14:02:57 +0100

cmake-extras (1.5-8) unstable; urgency=medium

  * debian/patches:
    + Add 1008_src-DoxygenBuilder-Doxyfile.in-Create-Doxgen-documen.patch.
      Don't put <<PKGBUILDDIR>> into generated documentation files.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Nov 2021 19:01:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               debhelper-compat (= 12),
-Standards-Version: 4.5.0
+               debhelper-compat (= 13),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git

## cmake-extras 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2)
-project(cmake-extras)
+project(cmake-extras VERSION 1.7)
 
 include(GNUInstallDirs)

=== debian/changelog ===
cmake-extras (1.7-2) unstable; urgency=medium

  * debian/patches: Add patch to workaround cmake bug (closes: #1058503)
    (closes: #1058341)
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Tue, 30 Jan 2024 01:28:47 +0100

cmake-extras (1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed
  * debian/copyright:
    + Add auto-generated copyright.in template file for later tracking of
      copyright changes.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 16:42:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/cmake-extras/tags .*/cmake-extras-(\d\S+)\.tar\.gz

## cmake-extras 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2)
-project(cmake-extras VERSION 1.7)
+project(cmake-extras VERSION 1.8)
 
 include(GNUInstallDirs)

=== examples/doxygenbuilder-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(doxygenbuilder-demo LANGUAGES C CXX)

include(GNUInstallDirs)

add_subdirectory(doc)

=== examples/gdbus-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(gdbus-demo)

set (CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()
enable_testing()

include(GNUInstallDirs)
find_package(GDbus)
find_package(PkgConfig REQUIRED)

pkg_check_modules(
  GLIB REQUIRED
  gio-unix-2.0
  glib-2.0
)
include_directories(${GLIB_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(SOURCES
  main.cpp
)

add_gdbus_codegen(
  SOURCES
  dbus-standard
  org.freedesktop
  org.freedesktop.DBus.xml
  )

add_gdbus_codegen(
  SOURCES
  dbus-namespaced
  org.freedesktop
  org.freedesktop.DBus.xml
  NAMESPACE "DBus"
  )

add_executable(
  test-gdbus

  ${SOURCES}
  )
target_link_libraries(
  test-gdbus

  ${GLIB_LDFLAGS}
  )

add_test(test-gdbus test-gdbus)

=== examples/gsettings-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(intltool-demo)

enable_testing()

include(GNUInstallDirs)
find_package(GSettings)

set (DEFAULT_UUID_VALUE "" CACHE STRING "Default UUID to use in schema.")
set (DEFAULT_UUID "'${DEFAULT_UUID_VALUE}'")

add_schema ("static.gschema.xml")

configure_file ("generated.gschema.xml.in" "generated.gschema.xml")
add_schema ("generated.gschema.xml")

compile_schemas(${CMAKE_CURRENT_BINARY_DIR})

=== examples/intltool-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(intltool-demo LANGUAGES C CXX)

include(GNUInstallDirs)
find_package(PkgConfig REQUIRED)
find_package(Intltool REQUIRED)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0
  gio-2.0
)
include_directories(${GLIB_INCLUDE_DIRS})

set(GETTEXT_PACKAGE "intltool-demo")
set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set (CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(python)

=== debian/changelog ===
cmake-extras (1.8-1) unstable; urgency=medium

  * New upstream release.
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In D:, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Feb 2025 16:58:13 +0100

cmake-extras (1.7-3) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Jul 2024 09:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
@@ -20,7 +20,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          cmake (>= 3.1),
-         pkg-config,
+         pkgconf,
          python3,
 Suggests: googletest (>= 1.10.0.20201025),
           libgtest-dev,

## cmake-extras 1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.0.2)
-project(cmake-extras VERSION 1.8)
+cmake_minimum_required(VERSION 3.10)
+project(cmake-extras VERSION 1.9)
 
 include(GNUInstallDirs)

=== examples/copyrighttest-demo/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.10)
 project(copyrighttest-demo LANGUAGES C CXX)
 
 include(CTest)

=== examples/doxygenbuilder-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(doxygenbuilder-demo LANGUAGES C CXX)

include(GNUInstallDirs)

add_subdirectory(doc)

=== examples/findgmock-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(findgmock-demo LANGUAGES C CXX)

# find_package(GMock) will find the Google Mock source, and add it to
# this project's build.  It will create the targets gtest, gtest_main,
# gmock, and gmock_main.
find_package(GMock)

add_executable(test-suite test-suite.cpp)
target_link_libraries(test-suite gtest_main)

=== examples/gdbus-demo/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 project(gdbus-demo)
 
 set (CMAKE_CXX_STANDARD 14)

=== examples/gsettings-demo/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 project(intltool-demo)
 
 enable_testing()

=== examples/includechecker-demo/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 project(includechecker-demo LANGUAGES C CXX)
 
 include(GNUInstallDirs)

=== examples/intltool-demo/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 project(intltool-demo LANGUAGES C CXX)
 
 include(GNUInstallDirs)

=== examples/doxygenbuilder-demo/doc/CMakeLists.txt ===

find_package(DoxygenBuilder)

add_doxygen(
  doc
  PROJECT_NAME
    "doxygenbuilder-demo"
  INPUT
    "${CMAKE_SOURCE_DIR}/src/"
    "${CMAKE_CURRENT_SOURCE_DIR}/pages"
  EXAMPLE_PATH
    "${CMAKE_SOURCE_DIR}/examples/"
  STRIP_FROM_PATH
    "${CMAKE_SOURCE_DIR}/src/"
  STRIP_FROM_INC_PATH
    "${CMAKE_SOURCE_DIR}/src/"
  EXCLUDE_PATTERNS
    */internal/*
  EXCLUDE_SYMBOLS
    *::internal*
    *::Priv
  INSTALL
    "${CMAKE_INSTALL_DATAROOTDIR}/doc/doxygenbuilder-demo"
  XML
  ALL
)

=== examples/includechecker-demo/test/CMakeLists.txt ===
add_subdirectory("demolib")

=== examples/intltool-demo/python/CMakeLists.txt ===
install(PROGRAMS other_language_translations.py
        DESTINATION usr/bin)

=== examples/intltool-demo/src/CMakeLists.txt ===
find_package(GSettings REQUIRED)

# INI file with translations embedded

intltool_merge_translations(
  "foo.ini.in"
  "foo.ini"
  ALL
  UTF8
)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/foo.ini"
  DESTINATION ${CMAKE_INSTALL_DATADIR}/fooapp
)

# Translation merge tests for non-desktop file without translations
intltool_merge_translations(
  "translated.gschema.xml.in"
  "translated.gschema.xml"
  ALL
  UTF8
  STYLE "xml"
  NO_TRANSLATIONS
)

add_schema("translated.gschema.xml")

# FooApp executable

add_definitions(
  -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
  -DLOCALE_DIR="${LOCALE_DIR}"
  -DCONFIG_FILE="${CMAKE_INSTALL_FULL_DATADIR}/fooapp/foo.ini"
  -DLANGUAGE="en_AU.UTF-8"
)

add_executable(
  fooapp
  main.cpp
)

target_link_libraries(
  fooapp
  ${GLIB_LDFLAGS}
)

install(
  TARGETS fooapp
  RUNTIME DESTINATION usr/bin
)

=== debian/changelog ===
cmake-extras (1.9-1) unstable; urgency=medium

  * New upstream release.
    - Bump cmake_minimum_required() to version 3.10. Fix building with
      CMake 4. (Closes: #1112795).
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 11:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
